ItemEvents.toolTierRegistry(event => {
  event.add('royal', tier => {
    tier.uses = 600
    tier.speed = 6.0
    tier.attackDamageBonus = 0.0
    tier.level = 2
    tier.enchantmentValue = 24
    tier.repairIngredient = '#forge:plates/gold'
  })

  event.add('terraformer', tier => {
    tier.uses = 4096
    tier.speed = 8.0
    tier.attackDamageBonus = 0
    tier.level = 2
    tier.enchantmentValue = 24
    tier.repairIngredient = 'ars_nouveau:earth_essence'
  })
})

StartupEvents.registry('item', item => {
  // The texture for this item has to be placed in kubejs/assets/kubejs/textures/item/test_item.png
  // If you want a custom item model, you can create one in Blockbench and put it in kubejs/assets/kubejs/models/item/test_item.json
  item.create('stone_plate').displayName('Stone Plate').tag("forge:plates/stone")
  item.create('wooden_plate').displayName('Wooden Plate').tag("forge:plates/wooden")
  item.create('diamond_plate').displayName('Diamond Plate').tag('forge:plates/diamond')
  item.create('wooden_gear').displayName('Wooden Gear')
  item.create("berry_quartz").displayName("Berry Quartz")
  item.create("salmon_quartz").displayName("Salmon Quartz")
  item.create("lemon_quartz").displayName("Lemon Quartz")
  item.create("ivy_quartz").displayName("Ivy Quartz")
  item.create("sulfur_quartz_blend").displayName("Sulfuric Quartz Blend")
  item.create("gold_upgrade_parts").displayName("Gold Upgrade Parts")
  item.create('stone_gear').displayName('Stone Gear')
  item.create('nature_essence').displayName('Nature essence')
  item.create('unassembled_clock').displayName('Unassembled Clock')
  item.create('unassembled_compass').displayName('Unassembled Compass')
  item.create("unstable_ivy_quartz").displayName("Unstable Ivy Quartz")
  item.create('wrought_iron_ingot').displayName('Wrought Iron Ingot')
  item.create("dimension_ripper").displayName("Dimension Ripper").tag("twilightforest:portal/activator")
  item.create('arcane_alloy_ingot').displayName('Arcane Alloy Ingot')
  item.create('inert_alloy_ingot').displayName('Inert Alloy Ingot')
  item.create('sapling_ball').displayName('Sapling Ball')
  item.create('magic_book').displayName('Magical Book')
  item.create('fiery_clay_blend').displayName('Fiery Clay Blend')
  item.create('basic_token').displayName('Basic Token')
  item.create('ender_essence').displayName('Ender Essence')
  item.create('light_essence').displayName('Light Essence')
  item.create('dark_essence').displayName('Dark Essence')
  item.create('life_essence').displayName('Life Essence')
  item.create('death_essence').displayName('Death Essence')
  item.create("carbon_infused_sturdy_handle").displayName("Carbon Infused Sturdy Handle")
  item.create('lesser_fire_ring').displayName("Lesser Fire Magic Ring").unstackable().tag("curios:ring")
  item.create('lesser_ice_ring').displayName("Lesser Ice Magic Ring").unstackable().tag("curios:ring")
  item.create('lesser_nature_ring').displayName("Lesser Nature Magic Ring").unstackable().tag("curios:ring")
  item.create('lesser_lightning_ring').displayName("Lesser Lightning Magic Ring").unstackable().tag("curios:ring")
  item.create('lesser_blood_ring').displayName("Lesser Blood Magic Ring").unstackable().tag("curios:ring")
  item.create('lesser_ender_ring').displayName("Lesser Ender Magic Ring").unstackable().tag("curios:ring")
  item.create('lesser_holy_ring').displayName("Lesser Holy Magic Ring").unstackable().tag("curios:ring")
  item.create("ring_travel").displayName("Ring of Costly Travel").unstackable().tag("curios:ring")
  item.create("travelers_belt").displayName("Traveler's Belt").unstackable().tag("curios:belt")
  item.create("archers_glove").displayName("Archer's Glove").unstackable().tag("curios:hands")
  item.create('lesser_arcane_ring').displayName("Lesser Arcane Magic Ring").unstackable().tag("curios:ring")
  item.create('roadrunner_totem').displayName('Roadrunner Totem').unstackable()
  item.create('wooden_crucifix').displayName('Wooden Crucifix').unstackable()
  item.create('metal_crucifix').displayName('Metal Crucifix').unstackable()
  item.create('bejeweled_crucifix').displayName('Bejeweled Crucifix').unstackable()
  item.create('cross_necklace').displayName('Cross Necklace').tag("curios:necklace").unstackable()
  item.create('mittens').displayName('Mittens').tag("curios:hands").unstackable()
  item.create('infused_iron_nugget').displayName('Infused Iron Nugget')
  item.create('botanist_upgrade_smithing_template').displayName('Smithing Template')
  item.create('gold_upgrade_smithing_template').displayName('Smithing Template')
  item.create('steel_upgrade_smithing_template').displayName('Smithing Template')
  item.create('skyseeker_upgrade_smithing_template').displayName('Smithing Template')
  item.create('alchemical_dust').displayName('Alchemical Dust')
  item.create('improved_alchemical_dust').displayName('Improved Alchemical Dust')
  item.create('overworld_key').displayName('Overworld Key')
  item.create('twilight_key').displayName('Twilight Key')
  item.create('nether_key').displayName('Nether Key')
  item.create('end_key').displayName('End Key')
  item.create('aether_key').displayName('Aether Key')
  item.create('dark_key').displayName('Dark Key')
  item.create('the_terraformer','shovel').glow(true).rarity("epic").tier("terraformer").tag("minecraft:tools")
  item.create("royal_guard_sword","sword").tier('royal').tag("minecraft:swords").tag("minecraft:tools").tag("forge:tools/iron")
  item.create('sharp_feather','sword').tier('gold').glow(true).tag("minecraft:tools").displayName("Golden Feather").tag("forge:tools/magic_feather")
  item.create('very_sharp_feather','sword').tier('diamond').glow(true).tag("minecraft:tools").displayName("Fiery Feather").tag("forge:tools/magic_feather").tag("forge:tools/tier2_magic_feather")
  item.create('rainbow_feather','sword').tier('netherite').glow(true).tag("minecraft:tools").tag("forge:tools/magic_feather").tag("forge:tools/tier2_magic_feather")
  item.create('pipe_sealant')
  item.create('neptun_ingot')
  item.create('phoenix_ingot')
  item.create('obsidian_ingot')
  item.create("cut_onions").displayName("Cut Onions").food(food=>{
    food.hunger(4).saturation(1).fastToEat().effect("alexsmobs:mosquito_repellent",3000,0,1)
  })
  
})